- NAME
- SYNOPSIS
- DESCRIPTION
- SETUP
- OPTIONS

# NAME

rt-email-dashboards - Send email dashboards

# SYNOPSIS

        rt-email-dashboards [options]

# DESCRIPTION

This tool will send users email based on how they have subscribed to dashboards. A dashboard is a set of saved searches, the subscription controls how often that dashboard is sent and how it's displayed.

Each subscription has an hour, and possibly day of week or day of month. These are taken to be in the user's timezone if available, UTC otherwise.

# SETUP

You'll need to have cron run this script every hour. Here's an example crontab entry to do this.

        0 * * * * /usr/sbin/rt-email-dashboards

This will run the script every hour on the hour. This may need some further tweaking to be run as the correct user.

# OPTIONS

This tool supports a few options. Most are for debugging.

-h
--help

  Display this documentation

--dryrun

  Figure out which dashboards would be sent, but don't actually generate or email any of them

--dashboards DASHBOARD_IDS

  Only check specified dashboards(comma-separated IDs).

--time SECONDS

  Instead of using the current time to figure out which dashboards should be sent, use SECONDS (usually since midnight Jan 1st, 1970, so `1192216018` would be Oct 12 19:06:58 GMT 2007).

--epoch SECONDS

  Backwards-compatible for --time SECONDS.

--all

  Ignore subscription frequency when considering each dashboard (should only be used with --dryrun for testing and debugging)

--user User NAME or ID

  Only check the specified user's subscriptions

--recipient User NAME or EMAIL or ID

  Only send emails to the specified user. Can be specified multiple times to send multiple emails, e.g.

          --recipient alice@example.com --recipient bob@example.com

  This is mostly useful for testing, especially dashboard issues seen only by a specific user. For typical dashboard emails, set recipients via the subscription settings in the web UI.

--log LEVEL

  Adjust LogToSTDERR config option

← Back to index